## org.eclipse.emf.ecore
Interface EClass

All Superinterfaces:
  EClassifier, EModelElement, ENamedElement, EObject, Notifier

All Known Implementing Classes:
  EClassImpl

    public interface EClass

extends EClassifier

A representation of the model object 'EClass'.

The following features are supported:

- `Abstract`
- `Interface`
- `ESuper Types`
- `EOperations`
- `EAll Attributes`
- `EAll References`
- `EReferences`
- `EAttributes`
- `EAll Containments`
- `EAll Operations`
- `EAll Structural Features`
- `EAll Super Types`
- `EID Attribute`
- `EStructural Features`
- `EGeneric Super Types`
- `EAll Generic Super Types`

See Also:
  `EcorePackage.getEClass()`

Method Summary
`EList<EAttribute>` `getEAllAttributes()` Returns the value of the 'EAll Attributes' reference list.
`EList<EReference>` `getEAllContainments()` Returns the value of the 'EAll Containments' reference list.
`EList<EGenericType>` `getEAllGenericSuperTypes()` Returns the value of the 'EAll Generic Super Types' reference list.
`EList<EOperation>` `getEAllOperations()` Returns the value of the 'EAll Operations' reference list.
`EList<EReference>` `getEAllReferences()` Returns the value of the 'EAll References' reference list.
`EList<EStructuralFeature>` `getEAllStructuralFeatures()` Returns the value of the 'EAll Structural Features' reference list.
`EList<EClass>` `getEAllSuperTypes()` Returns the value of the 'EAll Super Types' reference list.
`EList<EAttribute>` `getEAttributes()` Returns the value of the 'EAttributes' reference list.
`EList<EGenericType>` `getEGenericSuperTypes()` Returns the value of the 'EGeneric Super Types' containment reference list.
`EAttribute` `getEIDAttribute()` Returns the value of the 'EID Attribute' reference
`EOperation` `getEOperation(int operationID)` Returns the operation with this ID.
`EList<EOperation>` `getEOperations()` Returns the value of the 'EOperations' containment reference list.
`EList<EReference>` `getEReferences()` Returns the value of the 'EReferences' reference list.
`EStructuralFeature` `getEStructuralFeature(int featureID)` Returns the feature with this ID.
`EStructuralFeature` `getEStructuralFeature(java.lang.String featureName)` Returns the feature with this name.
`EList<EStructuralFeature>` `getEStructuralFeatures()` Returns the value of the 'EStructural Features' containment reference list.
`EList<EClass>` `getESuperTypes()` Returns the value of the 'ESuper Types' reference list.
`int` `getFeatureCount()` Returns the number of features.
`int` `getFeatureID(EStructuralFeature feature)` Returns the ID of the feature relative to this class, or -1 if the feature is not in this class.
`int` `getOperationCount()` Returns the number of operations.
`int` `getOperationID(EOperation operation)` Returns the ID of the operation relative to this class, or -1 if the operation is not in this class.
`EOperation` `getOverride(EOperation operation)` Returns the operation that overrides this operation.
`boolean` `isAbstract()` Returns the value of the 'Abstract' attribute
`boolean` `isInterface()` Returns the value of the 'Interface' attribute
`boolean` `isSuperTypeOf(EClass someClass)` Returns whether this class is the same as, or a super type of, some other class.
`void` `setAbstract(boolean value)` Sets the value of the '`Abstract`' attribute
`void` `setInterface(boolean value)` Sets the value of the '`Interface`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EClassifier
`getClassifierID, getDefaultValue, getEPackage, getETypeParameters, getInstanceClass, getInstanceClassName, getInstanceTypeName, isInstance, setInstanceClass, setInstanceClassName, setInstanceTypeName`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isAbstract

    boolean isAbstract()

  Returns the value of the 'Abstract' attribute.

  It represents whether the class is abstract in the Java sense. For an abstract class, the generated implementation class will be abstract, and the generated factory will not provide support for creating an instance.

  Returns:
    the value of the 'Abstract' attribute.
  See Also:
    `setAbstract(boolean)`, `EcorePackage.getEClass_Abstract()`

### setAbstract

    void setAbstract(boolean value)

  Sets the value of the '`Abstract`' attribute.

  Parameters:
    `value` - the new value of the 'Abstract' attribute.
  See Also:
    `isAbstract()`

### isInterface

    boolean isInterface()

  Returns the value of the 'Interface' attribute.

  It represents whether the class is an interface in the Java sense. For an interface class, there will be no generated implementation class.

  Returns:
    the value of the 'Interface' attribute.
  See Also:
    `setInterface(boolean)`, `EcorePackage.getEClass_Interface()`

### setInterface

    void setInterface(boolean value)

  Sets the value of the '`Interface`' attribute.

  Parameters:
    `value` - the new value of the 'Interface' attribute.
  See Also:
    `isInterface()`

### getESuperTypes

    EList<EClass> getESuperTypes()

  Returns the value of the 'ESuper Types' reference list. The list contents are of type `EClass`.

  It represents the super types in the Java sense, i.e., the super class and the direct implemented interfaces, and is derived from the `generic super types`.

  Returns:
    the value of the 'ESuper Types' reference list.
  See Also:
    `getEGenericSuperTypes()`, `getEAllSuperTypes()`, `EcorePackage.getEClass_ESuperTypes()`

### getEAllSuperTypes

    EList<EClass> getEAllSuperTypes()

  Returns the value of the 'EAll Super Types' reference list. The list contents are of type `EClass`.

  It represents the closure of all inherited `super types` and is derived from the `generic super types`.

  Returns:
    the value of the 'EAll Super Types' reference list.
  See Also:
    `getESuperTypes()`, ``, `EcorePackage.getEClass_EAllSuperTypes()`

### getEIDAttribute

    EAttribute getEIDAttribute()

  Returns the value of the 'EID Attribute' reference.

  It represents the attribute that will be used as the ID of an instance.

  Returns:
    the value of the 'EID Attribute' reference.
  See Also:
    `EAttribute.isID()`, `EcorePackage.getEClass_EIDAttribute()`

### getEStructuralFeatures

    EList<EStructuralFeature> getEStructuralFeatures()

  Returns the value of the 'EStructural Features' containment reference list. The list contents are of type `EStructuralFeature`. It is bidirectional and its opposite is '`EContaining Class`'.

  It represents the modeled features local to this class.

  Returns:
    the value of the 'EStructural Features' containment reference list.
  See Also:
    `EcorePackage.getEClass_EStructuralFeatures()`, `EStructuralFeature.getEContainingClass()`

### getEGenericSuperTypes

    EList<EGenericType> getEGenericSuperTypes()

  Returns the value of the 'EGeneric Super Types' containment reference list. The list contents are of type `EGenericType`.

  It represents the generic super types in the Java sense, i.e., the super class and the direct implemented interfaces. The `super types` list is derived from this one, i.e., it represents the `erasure` of each generic super type.

  Returns:
    the value of the 'EGeneric Super Types' containment reference list.
  Since:
    2.3
  See Also:
    `getESuperTypes()`, `EcorePackage.getEClass_EGenericSuperTypes()`

### getEAllGenericSuperTypes

    EList<EGenericType> getEAllGenericSuperTypes()

  Returns the value of the 'EAll Generic Super Types' reference list. The list contents are of type `EGenericType`.

  It represents the closure of all inherited `generic super types`. The `all super types` list is derived from this one, i.e., it represents the `erasure` of each generic super type.

  Returns:
    the value of the 'EAll Generic Super Types' reference list.
  Since:
    2.3
  See Also:
    `getEGenericSuperTypes()`, `getEAllSuperTypes()`, `EcorePackage.getEClass_EAllGenericSuperTypes()`

### getEAttributes

    EList<EAttribute> getEAttributes()

  Returns the value of the 'EAttributes' reference list. The list contents are of type `EAttribute`.

  It represents the modeled attributes local to this class.

  Returns:
    the value of the 'EAttributes' reference list.
  See Also:
    `EcorePackage.getEClass_EAttributes()`

### getEAllAttributes

    EList<EAttribute> getEAllAttributes()

  Returns the value of the 'EAll Attributes' reference list. The list contents are of type `EAttribute`.

  It represents the closure of all attributes, inherited and local.

  Returns:
    the value of the 'EAll Attributes' reference list.
  See Also:
    `EcorePackage.getEClass_EAllAttributes()`

### getEReferences

    EList<EReference> getEReferences()

  Returns the value of the 'EReferences' reference list. The list contents are of type `EReference`.

  It represents the modeled references local to this class.

  Returns:
    the value of the 'EReferences' reference list.
  See Also:
    `EcorePackage.getEClass_EReferences()`

### getEAllReferences

    EList<EReference> getEAllReferences()

  Returns the value of the 'EAll References' reference list. The list contents are of type `EReference`.

  It represents the closure of all references, inherited and local.

  Returns:
    the value of the 'EAll References' reference list.
  See Also:
    `EcorePackage.getEClass_EAllReferences()`

### getEAllContainments

    EList<EReference> getEAllContainments()

  Returns the value of the 'EAll Containments' reference list. The list contents are of type `EReference`.

  It represents the closure of all references, inherited and local, that are `containments`. These features will determine the `EObject.eContents()` of an instance.

  Returns:
    the value of the 'EAll Containments' reference list.
  See Also:
    `EcorePackage.getEClass_EAllContainments()`

### getEAllStructuralFeatures

    EList<EStructuralFeature> getEAllStructuralFeatures()

  Returns the value of the 'EAll Structural Features' reference list. The list contents are of type `EStructuralFeature`.

  It represents the closure of all attributes and references, inherited and local.

  Returns:
    the value of the 'EAll Structural Features' reference list.
  See Also:
    `EcorePackage.getEClass_EAllStructuralFeatures()`

### getEOperations

    EList<EOperation> getEOperations()

  Returns the value of the 'EOperations' containment reference list. The list contents are of type `EOperation`. It is bidirectional and its opposite is '`EContaining Class`'.

  It represents the modeled operations local to this class.

  Returns:
    the value of the 'EOperations' containment reference list.
  See Also:
    `EcorePackage.getEClass_EOperations()`, `EOperation.getEContainingClass()`

### getEAllOperations

    EList<EOperation> getEAllOperations()

  Returns the value of the 'EAll Operations' reference list. The list contents are of type `EOperation`.

  It represents the closure of all operations, inherited and local.

  Returns:
    the value of the 'EAll Operations' reference list.
  See Also:
    `EcorePackage.getEClass_EAllOperations()`

### isSuperTypeOf

    boolean isSuperTypeOf(EClass someClass)

  Returns whether this class is the same as, or a super type of, some other class.

  Parameters:
    `someClass` - some other class.
  Returns:
    whether this class is the same as, or a super type of, some other class.
  See Also:
    `Class.isAssignableFrom(java.lang.Class<?>)`

### getFeatureCount

    int getFeatureCount()

  Returns the number of features.

  Returns:
    the number of features.

### getEStructuralFeature

    EStructuralFeature getEStructuralFeature(int featureID)

  Returns the feature with this ID.

  Returns:
    the feature with this ID.

### getEStructuralFeature

    EStructuralFeature getEStructuralFeature(java.lang.String featureName)

  Returns the feature with this name.

  Returns:
    the feature with this name.

### getOperationCount

    int getOperationCount()

  Returns the number of operations.

  Returns:
    the number of operations.
  Since:
    2.6

### getEOperation

    EOperation getEOperation(int operationID)

  Returns the operation with this ID.

  Returns:
    the operation with this ID.
  Since:
    2.6

### getOperationID

    int getOperationID(EOperation operation)

  Returns the ID of the operation relative to this class, or -1 if the operation is not in this class.

  Returns:
    the ID of the operation relative to this class, or -1 if the operation is not in this class.
  Since:
    2.6

### getOverride

    EOperation getOverride(EOperation operation)

  Returns the operation that overrides this operation.

  Returns:
    the operation that overrides this operation.
  Since:
    2.6

### getFeatureID

    int getFeatureID(EStructuralFeature feature)

  Returns the ID of the feature relative to this class, or -1 if the feature is not in this class.

  Returns:
    the ID of the feature relative to this class, or -1 if the feature is not in this class.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.